Train a custom style (LoRA)
curl --request POST \
--url https://api.krea.ai/styles/train \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"urls": [
"<string>"
],
"model": "flux_dev",
"type": "Default",
"trigger_word": "<string>",
"learning_rate": 123,
"max_train_steps": 1000,
"batch_size": 4503599627370496
}
'import requests
url = "https://api.krea.ai/styles/train"
payload = {
"name": "<string>",
"urls": ["<string>"],
"model": "flux_dev",
"type": "Default",
"trigger_word": "<string>",
"learning_rate": 123,
"max_train_steps": 1000,
"batch_size": 4503599627370496
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
urls: ['<string>'],
model: 'flux_dev',
type: 'Default',
trigger_word: '<string>',
learning_rate: 123,
max_train_steps: 1000,
batch_size: 4503599627370496
})
};
fetch('https://api.krea.ai/styles/train', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "backlogged",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": null,
"result": null,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Styles
Train a custom style (LoRA)
Train a custom style (LoRA) with simplified parameters. Uses intelligent defaults based on the training type (Default/Style/Object/Character).
POST
/
styles
/
train
Train a custom style (LoRA)
Trained styles are private and only usable by the API user that created them. To allow other workspace members to use the style, share it with the workspace using
POST /styles/{id}/share/workspace.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
URL to receive a POST request when the job completes. The webhook will receive the job data including results.
Body
application/json
- Option 1
- Option 2
Can be an external URL, base64 data URI, or uploaded asset URL.
Maximum string length:
1024Available options:
flux_dev, flux_schnell, wan, wan22 Available options:
Style, Object, Character, Default Required range:
1 <= x <= 2000Required range:
1 <= x <= 9007199254740991Response
Training job created successfully. The job will be in a pending state until completed. Use /jobs/{id} to check progress.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
backlogged, queued, scheduled, processing, sampling, intermediate-complete, completed, failed, cancelled Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Show child attributes
Show child attributes
Was this page helpful?